/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreUmls;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreUmlsRecord extends TableRecordImpl<VCoreUmlsRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_umls.dn</code>.
     */
    public void setDn(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_umls.dn</code>.
     */
    public String getDn() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_umls.umlscode</code>.
     */
    public void setUmlscode(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_umls.umlscode</code>.
     */
    public String getUmlscode() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreUmlsRecord
     */
    public VCoreUmlsRecord() {
        super(VCoreUmls.V_CORE_UMLS);
    }

    /**
     * Create a detached, initialised VCoreUmlsRecord
     */
    public VCoreUmlsRecord(String dn, String umlscode) {
        super(VCoreUmls.V_CORE_UMLS);

        setDn(dn);
        setUmlscode(umlscode);
        resetChangedOnNotNull();
    }
}
